function TeflonMaterial
global mws

material  = mws.invoke('Material');
    material.invoke('Reset');
    material.invoke('Name','Teflon (PTFE) (lossy)');
    material.invoke('FrqType','all'); 
    material.invoke('Type','Normal'); 
    material.invoke('Epsilon',2.08); 
    material.invoke('Mue',1.0); 
    material.invoke('Kappa',0.0); 
    material.invoke('TanD',0.0004); 
    material.invoke('TanDFreq',0.0); 
    material.invoke('TanDGiven','True');
    material.invoke('TanDModel','ConstTanD'); 
    material.invoke('KappaM',0.0); 
    material.invoke('TanDM',0.0); 
    material.invoke('TanDMFreq',0.0); 
    material.invoke('TanDMGiven','False'); 
    material.invoke('TanDMModel','ConstKappa'); 
    material.invoke('DispModelEps','None'); 
    material.invoke('DispModelMue','None'); 
    material.invoke('DispersiveFittingSchemeEps','General 1st'); 
    material.invoke('DispersiveFittingSchemeMue','General 1st'); 
    material.invoke('UseGeneralDispersionEps','False'); 
    material.invoke('UseGeneralDispersionMue','False'); 
    material.invoke('Rho',0.0);
    material.invoke('ThermalType','Normal'); 
    material.invoke('ThermalConductivity',0.2); 
    material.invoke('SetActiveMaterial','all');
    material.invoke('Colour',0.94,0.82,0.76); 
    material.invoke('Wireframe','False'); 
    material.invoke('Transparency',0); 
    material.invoke('Create');
    
% Ulozeni do souboru temp.m na konec
file = fopen('c:\projekt_v_Matlabu\temp.m','a');

coment = '% define Material';
fm01 = 'material = mws.invoke(''Material'');';
fm02 = 'material.invoke(''Reset'');';
fm03 = 'material.invoke(''Name'',''Teflon (PTFE) (lossy)'');';
fm04 = 'material.invoke(''FrqType'',''all'');'; 
fm05 = 'material.invoke(''Type'',''Normal'');'; 
fm06 = 'material.invoke(''Epsilon'',2.08);'; 
fm07 = 'material.invoke(''Mue'',1.0);'; 
fm08 = 'material.invoke(''Kappa'',0.0);'; 
fm09 = 'material.invoke(''TanD'',0.0004);'; 
fm10 = 'material.invoke(''TanDFreq'',0.0);'; 
fm11 = 'material.invoke(''TanDGiven'',''True'');';
fm12 = 'material.invoke(''TanDModel'',''ConstTanD'');'; 
fm13 = 'material.invoke(''KappaM'',0.0);'; 
fm14 = 'material.invoke(''TanDM'',0.0);'; 
fm15 = 'material.invoke(''TanDMFreq'',0.0);'; 
fm16 = 'material.invoke(''TanDMGiven'',''False'');'; 
fm17 = 'material.invoke(''TanDMModel'',''ConstKappa'');'; 
fm18 = 'material.invoke(''DispModelEps'',''None'');'; 
fm19 = 'material.invoke(''DispModelMue'',''None'');'; 
fm20 = 'material.invoke(''DispersiveFittingSchemeEps'',''General 1st'');'; 
fm21 = 'material.invoke(''DispersiveFittingSchemeMue'',''General 1st'');';
fm22 = 'material.invoke(''UseGeneralDispersionEps'',''False'');'; 
fm23 = 'material.invoke(''UseGeneralDispersionMue'',''False'');'; 
fm24 = 'material.invoke(''Rho'',0.0);';
fm25 = 'material.invoke(''ThermalType'',''Normal'');'; 
fm26 = 'material.invoke(''ThermalConductivity'',0.2);';
fm27 = 'material.invoke(''SetActiveMaterial'',''all'');';
fm28 = 'material.invoke(''Colour'',0.94,0.82,0.76);'; 
fm29 = 'material.invoke(''Wireframe'',''False'');'; 
fm30 = 'material.invoke(''Transparency'',0);'; 
fm31 = 'material.invoke(''Create'');';

fprintf(file,'\n\n%s',coment);
fprintf(file,'\n\n%s\n',fm01);
fprintf(file,'%s\n',fm02);
fprintf(file,'%s\n',fm03);
fprintf(file,'%s\n',fm04);
fprintf(file,'%s\n',fm05);
fprintf(file,'%s\n',fm06);
fprintf(file,'%s\n',fm07);
fprintf(file,'%s\n',fm08);
fprintf(file,'%s\n',fm09);
fprintf(file,'%s\n',fm10);
fprintf(file,'%s\n',fm11);
fprintf(file,'%s\n',fm12);
fprintf(file,'%s\n',fm13);
fprintf(file,'%s\n',fm14);
fprintf(file,'%s\n',fm15);
fprintf(file,'%s\n',fm16);
fprintf(file,'%s\n',fm17);
fprintf(file,'%s\n',fm18);
fprintf(file,'%s\n',fm19);
fprintf(file,'%s\n',fm20);
fprintf(file,'%s\n',fm21);
fprintf(file,'%s\n',fm22);
fprintf(file,'%s\n',fm23);
fprintf(file,'%s\n',fm24);
fprintf(file,'%s\n',fm25);
fprintf(file,'%s\n',fm26);
fprintf(file,'%s\n',fm27);
fprintf(file,'%s\n',fm28);
fprintf(file,'%s\n',fm29);
fprintf(file,'%s\n',fm30);
fprintf(file,'%s\n',fm31);


end